dnsjit.lib.trie.node(3)

NAME
dnsjit.lib.trie.node - Node of trie, which contains the value and key.

SYNOPSIS

  Set a node's value.
  node:set(42)

  Get a node's key and value.
  local key = node:key()
  local val = node:get()

DESCRIPTION

  Functions

TrieNode.new(trie, val, key, keylen)
    Create a new node object.

TrieNode:key()
    Return key and keylen of this node. Key is string or byte array if the trie's binary setting is set to true.

TrieNode:log()
    Return the Log object to control logging of this instance or module.

TrieNode:get()
    Get the value of this node.

TrieNode:set(value)
    Set the value of this node.

SEE ALSO
dnsjit.lib.trie(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net